package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFC22Data {

    private Map<String, Object> params;
    
    public MWFC22Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsProgram() {
        return (String) params.get("RS_PROGRAM");
    }

    public Long rsPocatecnistav() {
        return (Long) params.get("RS_POCATECNISTAV");
    }

    public Long rsZiskanebody() {
        return (Long) params.get("RS_ZISKANEBODY");
    }

    public Long rsVycerpanebody() {
        return (Long) params.get("RS_VYCERPANEBODY");
    }

    public Long rsUpravenebody() {
        return (Long) params.get("RS_UPRAVENEBODY");
    }

    public Long rsKonecnystav() {
        return (Long) params.get("RS_KONECNYSTAV");
    }

    public Long rsBodyzjinehoprogramu() {
        return (Long) params.get("RS_BODYZJINEHOPROGRAMU");
    }

    public Long rsBodydojinehoprogramu() {
        return (Long) params.get("RS_BODYDOJINEHOPROGRAMU");
    }

    public Long rsCelkemziskanebody() {
        return (Long) params.get("RS_CELKEMZISKANEBODY");
    }

    public Long rsCelkemodebranebody() {
        return (Long) params.get("RS_CELKEMODEBRANEBODY");
    } 

}
